LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Raspberry Pi connection with Labview

Solved!
Go to solution

I am developing an interface for Raspberry Pi using Labview application. For this, every site says I have to use LINX.

 

I am using Raspberry PI 3 Model B+ and Labview 2021 SP1 version. I downloaded Digilent LINX. "Device interrogation failed: Unable to connect to the target." I get the warning and I can't connect to the RPi.

Adsız.png

I searched the internet for the reason and the results I found are telling me to use Labview 2014 version. But for the 2014 version NI does not offer the possibility to use it without a license from me. Any chance of connecting to the RPi without using the 2014 version?

0 Kudos
Message 1 of 15
(2,888 Views)

hey yardimcioyuncu
 as far as i know, makerhub toolkit works with newer verstion. on VIPM try to install the makerhub toolkit. search for NI LabVIEW LINX toolkit, since the Digilent LINX is not used anymore on newer versions.

 

on your picture i can't see the IP address. you must put the IP address, the user and the password of your SSH enabled connection. 

 

by the way, i do not use the hostname to find the raspberry, don't know why but my network never finds it.

Jorge Augusto Pessatto Mondadori, PhD
Sistema Fiep
CLAD, CLD
0 Kudos
Message 2 of 15
(2,859 Views)

What exactly do I need to download?

 

 

sa.pngsaas.png

 

When I search NI Labview LINX I follow the path below and I get an error.

 

11

 

sadasdsa.png

 

sadsaddsa.png

 

sdadsa.png

 

ygfds.png

 

I also enter the required IP, nickname and password for the connection and SSH settings done on Raspberry.

 

Thank you for responding.

 

Kaan IŞIK

Embedded Software Engineer

0 Kudos
Message 3 of 15
(2,848 Views)
Solution
Accepted by topic author yardimcioyuncu

i am running LV2020 and am able to install that NI LabVIEW LINX Toolkit Version 1.0.0.9.

 

Try to see what are the error details. also unninstall the digilent LINX first to avoid any conflict

 

Is SSH enabled on the RPi? you must mannually enable that

Jorge Augusto Pessatto Mondadori, PhD
Sistema Fiep
CLAD, CLD
Message 4 of 15
(2,842 Views)

I made the SSH settings on the RPi. I can access the RPi interface with Putty and VNCViewer.

 

and error details

 

qw.png

 

I am now able to download NI Labview LINX on a computer with Labview 2020 installed and it is now installing. Thank you so much

 

Kaan IŞIK

Embedded Software Engineer

0 Kudos
Message 5 of 15
(2,814 Views)
Solution
Accepted by topic author yardimcioyuncu

@yardimcioyuncu wrote:

 

I am using Raspberry PI 3 Model B+ and Labview 2021 SP1 version. I downloaded Digilent LINX. "Device interrogation failed: Unable to connect to the target." I get the warning and I can't connect to the RPi.

 

 


I had the exact same problem with  RPI 3B+ long ago and never found a solution, as everywhere I looked said it should just work.

 

I believe LINX is not fully compatible with some versions of the Pi-3B+

========================
=== Engineer Ambiguously ===
========================
0 Kudos
Message 6 of 15
(2,792 Views)

I can connect to target via Tools>Hobbyist>Target Configuration but not thru project run from modified Help>Find Examples LINX - Blink (Advanced).vi target modified for Raspberry Pi.

 

Cannot connect per step 16
Right click the Raspberry Pi and select Properties.
Enter the IP address you noted during the configuration process.
Click OK.
You can verify connectivity to your device by right-clicking it, and selecting Connect. After a moment, it should connect and the small green dot should change from dark to light. If the color does not change, check your USB connection and IP address.

 

I get "Failed to connect to the target".  Problem is the properties don't allow for username and password which I suspect is the reason for the failure to connect when running the project. 

 

Used and modified vi from Help>Find Examples LINX - Blink (Advanced).vi modified target for Raspberry Pi per
https://learn.ni.com/learn/article/getting-started-with-raspberry-pi-and-labview-community-edition#T...
Step 4 Explore an Example, then the steps in section 'Edit and Run the Example'

 

LabVIEW Community Edition 2023 Q1

0 Kudos
Message 7 of 15
(2,000 Views)

Hello g_gilbert,

I have the exact same problem as you do. If you can find any solution, I'm willing to hear from you.

 

Greetings.

0 Kudos
Message 8 of 15
(1,945 Views)


I was able to interface LabVIEW with Raspberry pi 4. I don’t know about about your raspberry pi. 
Is your raspberry pi connected to the WIFI? Remember the IP address of your raspberry pi. It will be used when trying to interface it with LabVIEW. 
Make sure your raspberry pi is up to date.

open terminal and type “sudo apt update”. 
The next thing to do would to establish connection via SSH.

After you establish SSH connection, you have to open LabVIEW. Enter raspberry pi  IP address, username, password. Then click connect.

0 Kudos
Message 9 of 15
(1,916 Views)

My Raspberry Pi 3B is up to date.

I can connect to target via Tools>Hobbyist>Target Configuration but not thru project run from modified Help>Find Examples LINX - Blink (Advanced).vi target modified for Raspberry Pi.

 

It is on WiFi hence the need for username and password as part of the properties. 

 

SSH is set up, connection to target via Tools>Hobbyist>Target Configuration  

Connecting to target...
Successfully connected to target.
Successfully connected to the target.
Target configuration updated.
OS Version: 11.7
CPU: BCM2835
Systemd Version:
Has Internet Access: True
Device Type: Raspberry Pi 2 B

 

 

0 Kudos
Message 10 of 15
(1,882 Views)